/* ************************************* */
/* NOTE: THIS EXAMPLE IS FOR ZX SPECTRUM */
/* ************************************* */

#include <games.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "example.h"

#define X_FROM 240

/* wait for N clocks */
void nclocksleep(int numberofclocks) {
    long start = clock();  
    while ((clock() - start) < numberofclocks);
}

int main(void) {
    int i;
    putchar(12); /* clear screen */

    putsprite (spr_xor, X_FROM + 1, 0, sprite); /* initial draw */
    for (i = X_FROM; i > 0; i--) {
        putsprite (spr_xor, i + 1, 0, sprite); /* draw the new sprite */
        putsprite (spr_xor, i, 0, sprite); /* remove the old sprite */
        nclocksleep(4); /* little pause */
    }

    return EXIT_SUCCESS;
}
